# Tworzenie kluczy Rejestru na podstawie danych zapisanych w pliku CSV
$Ścieżka = "hklm:/software/Witryny"
if (Test-Path $Ścieżka) { del $Ścieżka -recurse -force }
if (!(Test-Path $Ścieżka )) { md $Ścieżka }
$listaWitryn = Get-Content "C:\demo\WPS\B_IIS\serweryWWW.txt"
foreach($Witryna in $listaWitryn)
{
$DaneWitryny = $Witryna.Split(";")
md ($Ścieżka + "\" + $DaneWitryny[0])
New-Itemproperty -path ($Ścieżka + "\" + $DaneWitryny[0])  -name "IP" -value $DaneWitryny[1] -type String
New-Itemproperty -path ($Ścieżka + "\" + $DaneWitryny[0])  -name "Port" -value $DaneWitryny[2] -type dword
New-Itemproperty -path ($Ścieżka + "\" + $DaneWitryny[0])  -name "Path" -value $DaneWitryny[3] -type String
$DaneWitryny[0] + " utworzono!"
}

